# Generated by Django 2.2.4 on 2019-10-28 07:27

from django.db import migrations, models
import django.db.models.deletion
import utils.models


class Migration(migrations.Migration):

    dependencies = [
        ('location', '0012_data_migrate'),
    ]

    operations = [
        migrations.CreateModel(
            name='WineRegion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', utils.models.TJSONField(help_text='{"en-GB":"some text"}', verbose_name='Name')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='location.Country', verbose_name='country')),
            ],
            options={
                'verbose_name': 'wine region',
                'verbose_name_plural': 'wine regions',
            },
            bases=(utils.models.TranslatedFieldsMixin, models.Model),
        ),
        migrations.CreateModel(
            name='WineAppellation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', utils.models.TJSONField(help_text='{"en-GB":"some text"}', verbose_name='Name')),
                ('wine_region', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='appellations', to='location.WineRegion', verbose_name='wine region')),
            ],
            options={
                'verbose_name': 'wine appellation',
                'verbose_name_plural': 'wine appellations',
            },
            bases=(utils.models.TranslatedFieldsMixin, models.Model),
        ),
    ]
